%{?nodejs_find_provides_and_requires}

%global packagename conventional-changelog-ember

# tests timeout in mock/koji
%global enable_tests 0

Name:		nodejs-conventional-changelog-ember
Version:	0.3.12
Release:	2%{?dist}
Summary:	A conventional-changelog ember preset

License:	ISC
URL:		https://github.com/conventional-changelog/conventional-changelog.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	%{packagename}-tests-%{version}.tar.bz2
Source10:	dl-cc-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(q)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(conventional-changelog-core)
BuildRequires:	npm(git-dummy-commit)
%endif

%description
A conventional-changelog ember preset.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%if 0%{?enable_tests}
%nodejs_fixdep chai
%nodejs_fixdep mocha
%endif

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js templates/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon May 21 2018 Jared K. Smith <jsmith@fedoraproject.org> - 0.3.12-1
- Update to upstream 0.3.12 release

* Fri Mar 30 2018 jsmith <jsmith.fedora@gmail.com> - 0.3.11-1
- Initial packaging
